body{
    background-image: url(../imagens/blade-runner-2.jpg);
    background-repeat: no-repeat; /* Faz com que a imagen não se repita. Ideal quando a imagem for muito grande. */
    background-size: cover; /* Melhora o posicionamento da imagem. */
    background-position: center;

    font-family: 'VT323', monospace;
    color:#fff;
    font-size: 18px;

    display: flex; /* Centralizando elementos do HTML, horizontal e vertical*/
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    padding: 30px;
    

    
}

@font-face {
    font-family: Barrio;
    src: url(../fontes/BLADRMF_.TTF)
}

h1 {
font-family: Barrio;
}

a{
    color: red;
}

.cartao{
    background-color: #070d12;
    width:370px;
    border: 3px solid #ffffff;
    border-radius: 10px;

    box-shadow: 0px 0px 40px 5px #fff; /* Borda transparente */
    

    overflow: hidden; /* Oculta o que está passando na borda arredondada. Logo, não apresenta um erro de continuidade dos elementos.  */
}

.cartao .minha-informacao{
    padding-top: 20px;

    display: flex;
    flex-direction: column;
    align-items: center; /*Alinha horizontamente por causa do flex-direction column*/
    gap: 10px;
}

.cartao .minha-informacao img{
    border-radius: 50px;
    border: 2px solid #8ac8ff8f;
    box-shadow: 0px 0px 20px 5px #8ac8ff8f; /* Borda transparente */
}

.cartao .minha-informacao .nome{
    font-size: 26px;

}

.cartao .minha-informacao .cargo{
    font-size: 20px;
    color: #b8bbc5;
    
}

.cartao .conteudo{
    margin-top: 15px;

}

.cartao .abas {
    display: flex;
    flex-direction: row;
}

.cartao .abas .aba{
    width: 50%;
    display: flex;
    justify-content: center;
    padding: 10px 0;

    cursor: pointer;
    
    transition: background-color 0.2s ease-in-out; /* hover, quando passar em cima terá uma transição mais suave. */
}

.cartao .abas img{
    width: 30px;
}

.cartao .abas .aba.selecionado {
    background-color: #262626;

}

.cartao .informacoes-abas {
    background-color: #262626;
}

.cartao .abas .aba:hover{
    background-color: #414141;
}

.informacoes-abas .informacao{
    min-height: 260px;
    padding: 15px;

    display: none;
}

.informacoes-abas .informacao.selecionado{
    display: block;
}

.informacoes-abas .sub-titulo{
    margin-bottom: 25px;
    font-size: 22px;
    text-align: center;
}

.informacoes-abas .descricao{
    font-size: 20px;
    max-height: 180px;
    overflow-y: auto;

    padding-right: 15px;
}

.informacoes-abas .descricao span{
    color: #8ac8ff8f

}

.redes-sociais{
    display: flex;
    flex-direction: column;
    gap: 25px;

    align-items: center;
    max-height: 180px;
    overflow-y: auto;
}

.redes-sociais li a{
    width: 250px;
    display: block;
    color: #f3f3f3;
    text-align: center;
    padding: 10px;
    font-size: 20px;

    transition: opacity 0.3s ease-in-out;
}

.redes-sociais li a:hover{
    opacity: 0.8;
}

.redes-sociais .curriculo{
    background-color: #06c185;
}

.redes-sociais .linkedin{
    background-color: #1d87bd;
}

.redes-sociais .github{
    background-color: #545454;
}